﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="JobTitleDetails.ascx.cs" Inherits="Focus.CareerExplorer.WebCareer.Controls.WorkHistory.JobTitleDetails" %>
<div class="resumeSection">
	<div class="resumeSectionAction">
		<asp:Button ID="btnJobTitleDetailsSave" Text="Save &amp; Move to Next Step &#187;" runat="server" class="buttonLevel2" OnClick="btnJobTitleDetailsSave_Click" ValidationGroup="SpecialTitle" />
	</div>
	<div class="resumeSectionContent">
		<p><focus:LocalisedLabel runat="server" ID="JobTitleInstructionLabel" RenderOuterSpan="False" LocalisationKey="JobInstruction.Label" DefaultText="Next, we're going to ask you about your job. To ask the right questions, we need to make sure we understand what your job was about."/></p>
		<div class="resumeSectionSubHeading">
			<focus:LocalisedLabel runat="server" ID="JobTitleSubHeadingLabel" RenderOuterSpan="False" LocalisationKey="JobSubHeading.Label" DefaultText="2. Job title details"/>
			&nbsp;<focus:LocalisedLabel runat="server" ID="JobTitleSubHeadingRequiredLabel" CssClass="requiredDataLegend" LocalisationKey="JobTitleSubHeadingRequired.Label" DefaultText="required fields"/>
		</div>
		<div class="resumeJobTitle">
			<asp:Panel ID="panNormalTitles" runat="server">
				<div class="dataInputRow">
					<asp:Label ID="lblGenericJobTitleInstruction" runat="server" AssociatedControlID="rblOccupations" CssClass="dataInputLabel"></asp:Label>
					<span class="dataInputField">
						<asp:RadioButtonList ID="rblOccupations" runat="server" class="radioButtonList" ClientIDMode="Static" RepeatLayout="Flow" RepeatDirection="Vertical" CssClass="dataInputVerticalRadio"></asp:RadioButtonList>
						<asp:CustomValidator ID="OccupationsValidator" runat="server" CssClass="error" ControlToValidate="rblOccupations" ClientValidationFunction="CheckOccupations" Display="Dynamic" ValidateEmptyText="true" Enabled="false" ValidationGroup="SpecialTitle"></asp:CustomValidator>
						<asp:UpdatePanel ID="MOCUpdatepanel" runat="server" UpdateMode="Conditional">
							<ContentTemplate>
								<table>
									<tr>
										<td style="text-align:right;">
											<asp:DataPager ID="MOCDataPager" runat="server" PagedControlID="MOCListView" PageSize="10">
												<Fields>
													<asp:NumericPagerField NextPageText="View more &#187;" PreviousPageText="&#171; Previous" />
												</Fields>
											</asp:DataPager>
										</td>
									</tr>
									<tr>
										<td>
											<asp:ListView ID="MOCListView" runat="server" ItemPlaceholderID="MOCPlaceHolder"
												OnPagePropertiesChanging="MOCListView_PagePropertiesChanging" OnItemDataBound="MOCListView_ItemDataBound">
												<LayoutTemplate>
													<table style="width: 100%;">
														<asp:PlaceHolder ID="MOCPlaceHolder" runat="server" />
													</table>
												</LayoutTemplate>
												<ItemTemplate>
													<tr>
														<td>
															<asp:Literal ID="ltMOCTitle" runat="server"></asp:Literal>
														</td>
													</tr>
												</ItemTemplate>
											</asp:ListView>
										</td>
									</tr>
								</table>
							</ContentTemplate>
						</asp:UpdatePanel>
						<asp:CustomValidator ID="custMOCTitle" runat="server" CssClass="error" Enabled="false" SetFocusOnError="true" ClientValidationFunction="CheckMOCTitle" Display="Dynamic" ValidationGroup="SpecialTitle"></asp:CustomValidator>
						<asp:HiddenField ID="hiddenSelectedMOCTitle" ClientIDMode="Static" runat="server" />
						<asp:Label ID="lblAlertInfo" runat="server" CssClass="error" Visible="False"></asp:Label>
					</span>
				</div>
				<div class="dataInputRow">
					<focus:LocalisedLabel runat="server" ID="JobTitleOptionsLabel" AssociatedControlID="mnuBrowseJob" CssClass="dataInputLabel" LocalisationKey="JobOptions.Label" DefaultText="If none of these titles fits, select from the following list:"/>
					<span class="dataInputField">
						<asp:TreeView ID="mnuBrowseJob" runat="server" AutoGenerateDataBindings="False" CssClass="label-small" EnableClientScript="False" 
							PopulateNodesFromClient="False" OnTreeNodeExpanded="mnuBrowseJob_TreeNodeExpanded"
							OnTreeNodeCollapsed="mnuBrowseJob_TreeNodeCollapsed" OnSelectedNodeChanged="mnuBrowseJob_SelectedNodeChanged" SkipLinkText="">
							<NodeStyle HorizontalPadding="23px" NodeSpacing="2px" />
						</asp:TreeView>
					</span>
				</div>
			</asp:Panel>
			<asp:Panel ID="panSpecialtitles" runat="server" Visible="false">
				<div class="dataInputRow">
					<focus:LocalisedLabel runat="server" ID="SpecialJobTitleLabel" AssociatedControlID="cblSpecialTitle" CssClass="dataInputLabel" LocalisationKey="SpecialJobName.Label" DefaultText="Select areas of interest"/>
					<span class="dataInputField">
						<focus:LocalisedLabel runat="server" ID="SpecialJobTitleInstructionsLabel" LocalisationKey="SpecialJobNameInstructions.Label" DefaultText="Stay-at-home parents and care givers wear many hats, but resumes that list too many tasks can be less compelling. To assist you in specifying your most relevant activities, we recommend you select the two categories that best represent your interests and talents:"/>
						<asp:CheckBoxList ID="cblSpecialTitle" runat="server" ClientIDMode="Static"></asp:CheckBoxList>
						<asp:CustomValidator ID="custSpecialTitle" runat="server" CssClass="error" Enabled="false" SetFocusOnError="true" ClientValidationFunction="CheckSpecialTitle" Display="Dynamic" ValidationGroup="SpecialTitle"></asp:CustomValidator>
					</span>
				</div>
			</asp:Panel>
		</div>
	</div>
</div>

<script type="text/javascript">
	function CheckOccupations(sender, args) {
		var radioChecked = false;
		$('#rblOccupations input').each(function () {
			if ($(this).is(':checked'))
				radioChecked = true;
		});
		if (!radioChecked) {
			sender.innerHTML = '<%= MOCTitleRequired %>';
			args.IsValid = false;
		}
	}

	function CheckSpecialTitle(sender, args) {
		var cnt = 0;
		$('#cblSpecialTitle input').each(function() {
			if ($(this).is(':checked'))
				cnt++;
		});
		if (cnt == 0) {
			sender.innerHTML = '<%= SpecialGenericTitleRequired %>';
			args.IsValid = false;
		}
		else if (cnt > 2) {
			sender.innerHTML = '<%= SpecialGenericTitleLimit %>';
			args.IsValid = false;
		}
	}

	function CheckMOCTitle(sender, args) {
		if ($('#hiddenSelectedMOCTitle').val() === '') {
			sender.innerHTML = '<%= MOCTitleRequired %>';
			args.IsValid = false;
		}
	}

	function SelectedMOCTitle(mocDetail) {
		$('#hiddenSelectedMOCTitle').val(mocDetail);
	}
</script>
